Exiv2::Internal::TiffMnRegistry Struct Reference

Makernote registry structure. More...

`#include <makernote_int.hpp>`

## Public Member Functions

bool | operator== (const std::string &key) const
| Compare a TiffMnRegistry structure with a key being the make string from the image. The two are equal if TiffMnRegistry::make_ equals a substring of the key of the same size. E.g., registry = "OLYMPUS", key = "OLYMPUS OPTICAL CO.,LTD" (found in the image) match.
bool | operator== (IfdId key) const
| Compare a TiffMnRegistry structure with a makernote group.

## Public Attributes

const char * | make_
| Camera make.
IfdId | mnGroup_
| Group identifier.
NewMnFct | newMnFct_
| Makernote create function (image)
NewMnFct2 | newMnFct2_
| Makernote create function (group)

## Detailed Description

Makernote registry structure.

The documentation for this struct was generated from the following files:

- makernote_int.hpp
- makernote_int.cpp